Company messaging
List conversation recipients
Lists the participants of a conversation, sorted by first name by default. Requires a company token with messaging view permission. Uses offset pagination with page and per_page (default 20); the response is a two-item array of pagination details and recipients.
GET
/
api
/
company
/
messaging
/
conversations
/
{conversation_id}
/
recipients
List conversation recipients
curl --request GET \
--url https://api.fluid.app/api/company/messaging/conversations/{conversation_id}/recipients \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.fluid.app/api/company/messaging/conversations/{conversation_id}/recipients"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.fluid.app/api/company/messaging/conversations/{conversation_id}/recipients', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.fluid.app/api/company/messaging/conversations/{conversation_id}/recipients",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.fluid.app/api/company/messaging/conversations/{conversation_id}/recipients"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.fluid.app/api/company/messaging/conversations/{conversation_id}/recipients")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.fluid.app/api/company/messaging/conversations/{conversation_id}/recipients")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body[
{
"pagination": {
"current": 1,
"previous": null,
"next": null,
"per_page": 20,
"pages": 1,
"count": 2
}
},
{
"items": [
{
"id": 61204,
"receivable_id": 20977,
"receivable_type": "UserCompany",
"first_name": "Dwight",
"last_name": "Schrute",
"status": "active",
"last_online": "2026-09-14T13:22:51Z",
"avatar_background": "#4A90D9",
"avatar_url": "https://cdn.fluid.app/dunder-mifflin/avatars/dwight-schrute.jpg",
"image_url": "https://cdn.fluid.app/dunder-mifflin/avatars/dwight-schrute.jpg",
"country_name": "United States",
"pro_user": false,
"blocked": false,
"left_conversation_at": null,
"discarded_at": null
},
{
"id": 61211,
"receivable_id": 20981,
"receivable_type": "UserCompany",
"first_name": "Jim",
"last_name": "Halpert",
"status": "active",
"last_online": "2026-09-14T13:22:51Z",
"avatar_background": "#4A90D9",
"avatar_url": "https://cdn.fluid.app/dunder-mifflin/avatars/jim-halpert.jpg",
"image_url": "https://cdn.fluid.app/dunder-mifflin/avatars/jim-halpert.jpg",
"country_name": "United States",
"pro_user": false,
"blocked": false,
"left_conversation_at": null,
"discarded_at": null
}
]
}
]{
"message": "<string>"
}Query Parameters
⌘I
List conversation recipients
curl --request GET \
--url https://api.fluid.app/api/company/messaging/conversations/{conversation_id}/recipients \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.fluid.app/api/company/messaging/conversations/{conversation_id}/recipients"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.fluid.app/api/company/messaging/conversations/{conversation_id}/recipients', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.fluid.app/api/company/messaging/conversations/{conversation_id}/recipients",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.fluid.app/api/company/messaging/conversations/{conversation_id}/recipients"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.fluid.app/api/company/messaging/conversations/{conversation_id}/recipients")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.fluid.app/api/company/messaging/conversations/{conversation_id}/recipients")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body[
{
"pagination": {
"current": 1,
"previous": null,
"next": null,
"per_page": 20,
"pages": 1,
"count": 2
}
},
{
"items": [
{
"id": 61204,
"receivable_id": 20977,
"receivable_type": "UserCompany",
"first_name": "Dwight",
"last_name": "Schrute",
"status": "active",
"last_online": "2026-09-14T13:22:51Z",
"avatar_background": "#4A90D9",
"avatar_url": "https://cdn.fluid.app/dunder-mifflin/avatars/dwight-schrute.jpg",
"image_url": "https://cdn.fluid.app/dunder-mifflin/avatars/dwight-schrute.jpg",
"country_name": "United States",
"pro_user": false,
"blocked": false,
"left_conversation_at": null,
"discarded_at": null
},
{
"id": 61211,
"receivable_id": 20981,
"receivable_type": "UserCompany",
"first_name": "Jim",
"last_name": "Halpert",
"status": "active",
"last_online": "2026-09-14T13:22:51Z",
"avatar_background": "#4A90D9",
"avatar_url": "https://cdn.fluid.app/dunder-mifflin/avatars/jim-halpert.jpg",
"image_url": "https://cdn.fluid.app/dunder-mifflin/avatars/jim-halpert.jpg",
"country_name": "United States",
"pro_user": false,
"blocked": false,
"left_conversation_at": null,
"discarded_at": null
}
]
}
]{
"message": "<string>"
}